Subject: Re: [bug-diffutils] bug#25595: [PATCH] diff: avoid UMR with ---presume-output-tty

From: Jim Meyering <[email-masked]>
Date: Tue, 31 Jan 2017 17:08:20 -0800

On Tue, Jan 31, 2017 at 4:50 PM, Jim Meyering <[email-masked]> wrote:
> Thanks to a private bug report from Nelson Beebe, I learned
> that the "colors" test was failing on many different types of hosts.
> It was due to a UMR bug. Here is the fix I've just pushed.
> Sorry, Nelson, I've just realized that I forgot to attribute you
> in the commit log.

I also failed to mention when that was introduced in NEWS, so
here is a fix-up patch to address both issues:
From affa30def0d530022a03845372ec19c644f8f1ac Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Tue, 31 Jan 2017 17:06:10 -0800
Subject: [PATCH] maint: add "introduced in 3.4" in latest NEWS entry

* NEWS: Update.  Also, thanks to Nelson Beebe for reporting this.
---
 NEWS | 1 +
 1 file changed, 1 insertion(+)

diff --git a/NEWS b/NEWS
index 0afee1b..eae32b2 100644
--- a/NEWS
+++ b/NEWS
@@ -8,6 +8,7 @@ GNU diffutils NEWS                                    -*- outline -*-

   the ---presume-output-tty (ostensibly test-only) option would cause
   diff --color to read an uninitialized variable
+  [bug introduced in 3.4]

 ** Performance changes

-- 
2.9.3